/****************************************************************************
**
** Copyright (C) 2016 The Qt Company Ltd.
** Contact: https://www.qt.io/licensing/
**
** This file is part of the examples of the Qt Toolkit.
**
** $QT_BEGIN_LICENSE:BSD$
** Commercial License Usage
** Licensees holding valid commercial Qt licenses may use this file in
** accordance with the commercial license agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and The Qt Company. For licensing terms
** and conditions see https://www.qt.io/terms-conditions. For further
** information use the contact form at https://www.qt.io/contact-us.
**
** BSD License Usage
** Alternatively, you may use this file under the terms of the BSD license
** as follows:
**
** "Redistribution and use in source and binary forms, with or without
** modification, are permitted provided that the following conditions are
** met:
**   * Redistributions of source code must retain the above copyright
**     notice, this list of conditions and the following disclaimer.
**   * Redistributions in binary form must reproduce the above copyright
**     notice, this list of conditions and the following disclaimer in
**     the documentation and/or other materials provided with the
**     distribution.
**   * Neither the name of The Qt Company Ltd nor the names of its
**     contributors may be used to endorse or promote products derived
**     from this software without specific prior written permission.
**
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
** "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
** LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
** A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
** OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
** SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
** LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
** DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
** THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
** (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
** OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE."
**
** $QT_END_LICENSE$
**
****************************************************************************/

#ifndef DIALOG_H
#define DIALOG_H

#include <QDialog>
#include <QtWidgets>

QT_BEGIN_NAMESPACE
class QAction;
class QDialogButtonBox;
class QGroupBox;
class QLabel;
class QLineEdit;
class QMenu;
class QMenuBar;
class QPushButton;
class QTextEdit;
QT_END_NAMESPACE


#if 0
#define ELOAPPWIDTH_DIFF     500
#define ELOAPPHEIGHT_DIFF    250
#define ELOAPPWAVEFORM_DIFF -234
#else
#define ELOAPPWIDTH_DIFF     0
#define ELOAPPHEIGHT_DIFF    0
#define ELOAPPWAVEFORM_DIFF  0
#endif
#define PATWIDTH_DIFF        ELOAPPWIDTH_DIFF
#define PATHEIGHT_DIFF       ELOAPPHEIGHT_DIFF

//! [0]
class Dialog : public QWidget
{
    Q_OBJECT

public:
	Dialog(QWidget *parent);
    void setPatientButtonLayout();

private:
    void createGridGroupBox();
    void updatePatientBannerDetails();

    enum { NumGridRows = 10, NumButtons = 1 };

    QMenuBar *menuBar;
    QGroupBox *horizontalGroupBox;
    QGroupBox *gridGroupBox;
    QGroupBox *formGroupBox;
    QTextEdit *smallEditor;
    QTextEdit *bigEditor;
    QLabel *labels[NumGridRows];
    QTextEdit *lineEdits[NumGridRows];
    QPushButton *buttons[NumButtons];
    QPushButton *patientbutton;
    QDialogButtonBox *buttonBox;
    QWidget *layoutWidget,*patientSaveLayoutWidget;
    QMenu *fileMenu;
    QAction *exitAction;
    QLabel *PatientButtonGrid[5];
    QScrollArea *tagCloudScrollArea;


public slots:
    void handleButton();
    void onTextEditPatientButton();
    bool event(QEvent *event);


public:

    void setHeartRate(int);

};


//class PatientTextEdit:public QTextEdit
//{

//PatientTextEdit(QWidget *parent):QTextEdit(parent)
//{
//    connect
//}

//};

//! [0]

#endif // DIALOG_H
